# Updates a course registration with the specified ID. This method will update an existing course registration with the specified ID. Endpoint: PUT /courseRegistrations/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the course registration to update. ## Request fields (application/json): - `application_id` (string) The certification application to which this registration - `arrival_date` (string) The date the person arrived at the course - `cancellation_date` (string) - `city` (string) The member city - `completion_percentage` (number) The completion amount - `country` (string) The member country - `course_date` (string) The date of the course - `course_id` (string, required) The course - `course_offering_id` (string, required) The scheduled course - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date/time of the course registration - `departure_date` (string) The date the person left the course - `email_address` (string) The member's email address - `event_registration_id` (string) The event registration to which this is tied - `exam_offering_ids` (array) The exams to register for at the same time as the course - `first_name` (string) The member's first name - `id` (string, required) The unique, string identifier of this course registration - `job_title` (string) The member job title - `last_name` (string) The member's last name - `meeting_join_url` (string) The URL used to join the meeting - `meeting_participant_id` (string) The external ID of this registration in the linked meeting - `name` (string, required) The member's name - `notes` (string) Any notes - `number` (number) The registration number - `order_amount_paid` (number) The amount paid - `order_balance_due` (number) The balance due on the order - `order_currency_code` (string) - `order_currency_symbol` (string) - `order_id` (string) The order - `order_line_item_id` (string) The order line item - `order_number` (number) The order number - `order_status` (string) Enum: "awaiting payment", "awaiting pickup", "awaiting shipping", "cancelled", "completed", "disputed", "open", "partially shipped", "returned", "shipped", "void" - `order_total` (number) The total of the order - `organization_id` (string) Organization - `process_id` (string) The registration process used to create the registration - `state` (string) The state - `status` (string) Enum: "attended", "cancelled", "completed", "draft", "in progress", "no show", "registered" - `student_id` (string, required) The person registering for the course - `substitutions` (array) - `substitutions.date` (string, required) The date of substitution - `substitutions.notes` (string) Any reasoning/information for substitution - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `training_location_id` (string) The location - `training_provider_billing_date` (string) The date this registration was billing to the training provider - `training_provider_billing_invoice_id` (string) The invoice that was created to bill for this registration - `training_provider_billing_invoice_line_item_id` (string) The invoice that was created to bill for this registration - `training_provider_billing_name` (string) The training provider name (for billing) - `training_provider_billing_status` (string) The training provider billing status for this registration Enum: "billed", "billing hold", "exempt from billing", "not yet billed" - `training_provider_id` (string) The training provider - `webinar_join_url` (string) The URL used to join the webinar - `webinar_participant_id` (string) The external ID of this registration in the linked webinar ## Response 200 fields (application/json): - `application_id` (string) The certification application to which this registration - `arrival_date` (string) The date the person arrived at the course - `cancellation_date` (string) - `city` (string) The member city - `completion_percentage` (number) The completion amount - `country` (string) The member country - `course_date` (string) The date of the course - `course_id` (string, required) The course - `course_offering_id` (string, required) The scheduled course - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date/time of the course registration - `departure_date` (string) The date the person left the course - `email_address` (string) The member's email address - `event_registration_id` (string) The event registration to which this is tied - `exam_offering_ids` (array) The exams to register for at the same time as the course - `first_name` (string) The member's first name - `id` (string, required) The unique, string identifier of this course registration - `job_title` (string) The member job title - `last_name` (string) The member's last name - `meeting_join_url` (string) The URL used to join the meeting - `meeting_participant_id` (string) The external ID of this registration in the linked meeting - `name` (string, required) The member's name - `notes` (string) Any notes - `number` (number) The registration number - `order_amount_paid` (number) The amount paid - `order_balance_due` (number) The balance due on the order - `order_currency_code` (string) - `order_currency_symbol` (string) - `order_id` (string) The order - `order_line_item_id` (string) The order line item - `order_number` (number) The order number - `order_status` (string) Enum: "awaiting payment", "awaiting pickup", "awaiting shipping", "cancelled", "completed", "disputed", "open", "partially shipped", "returned", "shipped", "void" - `order_total` (number) The total of the order - `organization_id` (string) Organization - `process_id` (string) The registration process used to create the registration - `state` (string) The state - `status` (string) Enum: "attended", "cancelled", "completed", "draft", "in progress", "no show", "registered" - `student_id` (string, required) The person registering for the course - `substitutions` (array) - `substitutions.date` (string, required) The date of substitution - `substitutions.notes` (string) Any reasoning/information for substitution - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `training_location_id` (string) The location - `training_provider_billing_date` (string) The date this registration was billing to the training provider - `training_provider_billing_invoice_id` (string) The invoice that was created to bill for this registration - `training_provider_billing_invoice_line_item_id` (string) The invoice that was created to bill for this registration - `training_provider_billing_name` (string) The training provider name (for billing) - `training_provider_billing_status` (string) The training provider billing status for this registration Enum: "billed", "billing hold", "exempt from billing", "not yet billed" - `training_provider_id` (string) The training provider - `webinar_join_url` (string) The URL used to join the webinar - `webinar_participant_id` (string) The external ID of this registration in the linked webinar ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields